Articles of osx mavericks

npm ERR! 无效:strip-ansi@0.2.2

使用brew upgrade node : $ node -v v0.10.30 我做了一个npm update -g : $ npm -v 1.4.23 当npm ls -g时有一个ERR: npm ERR! invalid: strip-ansi@0.2.2 /usr/local/lib/node_modules/npm/node_modules/columnify/node_modules/strip-ansi npm ERR! not ok code 0 我该如何解决这个错误?

无法从本地networking上的不同设备访问Mac上的节点服务器

我使用OS X 10.9在我的Mac上运行节点服务器。这里是代码 var http = require('http'); http.createServer(function (request, response) { response.writeHead(200, {'Content-Type': 'text/plain'}); response.end('Hello World\n'); }).listen(3000, '0.0.0.0'); console.log('Server running at http://192.168.1.120:3000/'); 我可以在我的Mac上使用Safari访问http://192.168.1.120:3000/服务器。 但是,当我用我的iPhone访问服务器,它失败了。 我的Mac的防火墙closures了,我的iPhone和Mac一样都在同一个WiFi上。

当试图configuration或重buildnode-gyp时,出现错误:mac osx mavericks

我正在尝试运行node-gyp configure ,但遇到以下错误: gyp: binding.gyp not found (cwd: /usr/local/bin) gyp ERR! configure error gyp ERR! stack Error: `gyp` failed with exit code: 1 gyp ERR! stack at ChildProcess.onCpExit (/usr/local/lib/node_modules/node-gyp/lib/configure.js:337:16) gyp ERR! stack at ChildProcess.EventEmitter.emit (events.js:98:17) gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:789:12) gyp ERR! System Darwin 13.0.0 gyp ERR! command "node" "/usr/local/bin/node-gyp" "configure" gyp ERR! cwd […]